unit MiniBrowserWnd;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, OleCtrls, SHDocVw;

type
  TMiniBrowserWindow = class(TForm)
    WebBrowser1: TWebBrowser;
  private
    { Private-Deklarationen }
    procedure FreeOnClose(Sender: TObject; var Action: TCloseAction);
  public
    { Public-Deklarationen }
    class procedure Show(const Caption: WideString; const URL: WideString); overload; static;
  end;

var
  MiniBrowserWindow: TMiniBrowserWindow;

implementation

{$R *.dfm}

{ TMiniBrowserWindow }

procedure TMiniBrowserWindow.FreeOnClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

class procedure TMiniBrowserWindow.Show(const Caption, URL: WideString);
var
  f: TMiniBrowserWindow;
begin
  f := TMiniBrowserWindow.Create(nil);
  f.WebBrowser1.Navigate(URL);
  f.Caption := Caption;
  f.OnClose := f.FreeOnClose;
  f.Show;
end;

end.
