program StartupAce;

{%File 'log.xml'}
{%File 'logstyle.xslt'}
{%File 'resources\messagestrings.xml'}

uses
  Forms,
  Classes,
  SysUtils,
  Main in 'Main.pas' {MainForm},
  StartupEntry in 'StartupEntry.pas',
  Statics in 'Statics.pas',
  paths in 'paths.pas',
  Policy in 'Policy.pas',
  StartupForm in 'StartupForm.pas' {StartForm},
  StartupAceSettings in 'StartupAceSettings.pas',
  UnsavedChangesDlg in 'UnsavedChangesDlg.pas' {UnsavedChangesDialog},
  StartupEntryFilter in 'StartupEntryFilter.pas',
  About in 'About.pas' {AboutBox},
  EditLongStringForm in 'EditLongStringForm.pas' {EditLongStringsForm},
  PathCtrls in 'PathCtrls.pas',
  RenameEntryFrm in 'RenameEntryFrm.pas' {RenameEntryForm},
  Version in 'Version.pas',
  MessageStrs in 'MessageStrs.pas',
  StUpEntrysLoader in 'StUpEntrysLoader.pas',
  MiniBrowserWnd in 'MiniBrowserWnd.pas' {MiniBrowserWindow};

{$R *.res}

var
  Arguments: TStringList;
  I: Integer;

begin 
  Application.Initialize;
  Arguments := TStringList.Create;
  try
    for I := 1 to ParamCount do
    begin
      Arguments.Add(Lowercase(ParamStr(I)));
    end;
    if Arguments.IndexOf('start') >= 0 then
    begin
      Application.CreateForm(TStartForm, StartForm);
    end
    else
    begin
      Application.CreateForm(TMainForm, MainForm);
      MainForm.AllEditable := Arguments.IndexOf('/alleditable') >= 0;
    end;
  finally
    Arguments.Free;
  end;
  Application.Run;
end.
